///<ObjektNummer>3145</ObjektNummer>

#if !defined(h_SpiMasterUart)
#define h_SpiMasterUart

// Defines
#define F_CPU 20000000
#define MCU ATMEGA644P

#include <avr\io.h>
#include <avr\interrupt.h>
//#include <compat/deprecated.h>
#ifndef F_CPU
#define F_CPU 8000000
#endif
//#include "..\_allg\myAVR.h"
#include "SpiMaster.h"

#include "M8_DigitalInOut.h"

#define String StringBig
/////// DEBUG /////////////
//#define IsDEBUG	// auch im Paket "Debug" schalten
	#define DEBUG_BAUD 500000
	#define DEBUG_UART_NR 0
	#include "debugUart.h"

class SpiMasterUart : public SpiMaster
{

public:
	//	configSpi()
	//	PE:
	//		presacler = eines von prescale2, prescale4, prescale8, prescale16, prescale32, prescale64, prescale128
	virtual void configSpi(uint8_t prescaler);
	//	Konstruktor
	SpiMasterUart();

	//	Destruktor
	~SpiMasterUart();

private:

protected:
	//	_sendAndWait()
	//	sendet und empfngt ein Byte
	virtual uint8_t _sendAndWait(uint8_t dataIn);

};

#endif
