///<ObjektNummer>946</ObjektNummer>

#if !defined(h_Timer1)
#define h_Timer1

// Defines
#define F_CPU 20000000
#define MCU ATMEGA644P

//#include <avr\io.h>
#include <avr\interrupt.h>
//#include <compat/deprecated.h>

#define String StringBig
/////// DEBUG /////////////
//#define IsDEBUG	// auch im Paket "Debug" schalten
	#define DEBUG_BAUD 500000
	#define DEBUG_UART_NR 0
	#include "debugUart.h"

class Timer1
{
public:
enum{ 
	sourceStop=0, 
	sourcePrescale1=1, 
	sourcePrescale8=2, 
	sourcePrescale64=3, 
	sourcePrescale256=4, 
	sourcePrescale1024=5, 
	sourcePinT1falling=6, 
	sourcePinT1rising=7, 
};

public:

	//	configInt_compare()
	void configInt_compare(bool enableA, bool enableB);

	//	configInt_overflow()
	void configInt_overflow(bool enable);
	//	config_compare()
	//	source: einer von:
	//	 	sourceStop, sourcePrescale1, sourcePrescale8, sourcePrescale64, sourcePrescale256, sourcePrescale1024, sourcePinT1falling,	sourcePinT1rising
	void config_compare(uint8_t source, uint16_t matchValueA, uint16_t matchValueB=0);
	//	config_overflow()
	//	source: einer von:
	//	 	sourceStop, sourcePrescale1, sourcePrescale8, sourcePrescale32, sourcePrescale64, sourcePrescale128, sourcePrescale256,	sourcePrescale1024
	void config_overflow(uint8_t source);
	//	stop()
	//	Stoppt den Timer
	void stop();
	//	Konstruktor
	Timer1();

	//	Destruktor
	~Timer1();

private:

protected:

};

#endif
