///<ObjektNummer>2338</ObjektNummer>

#if !defined(h_DirEntryCache)
#define h_DirEntryCache

// Defines
#define F_CPU 20000000
#define MCU ATMEGA644P

#include <avr\io.h>
#include "Fat.h"

#include "M8_Mx8_SPI.h"

struct DirEntry
{
	uint8_t name[11];
	uint8_t attrib;
	uint8_t ntRes;
	uint8_t crtTimeTenth;
	uint16_t crtTime;
	uint16_t crtDate;
	uint16_t lastAccDate;
	uint16_t fstClusHI;
	uint16_t wrtTime;
	uint16_t wrtDate;
	uint16_t fstClusLO;
	uint32_t fileSize;
};
#define String StringBig
/////// DEBUG /////////////
//#define IsDEBUG	// auch im Paket "Debug" schalten
	#define DEBUG_BAUD 500000
	#define DEBUG_UART_NR 0
	#include "debugUart.h"

class DirEntryCache
{

public:
	//	flush()
	//	Schreibt wenn bentigt dirEntry und buffer
	void flush();
	DirEntry dirEntry;
	uint16_t dirCluster;
	uint32_t dirSector;
	uint16_t dirPosition;
	//	true wenn der DirEntryCache nichtgespeicherte Daten enthlt
	bool dirChanged;
	Fat* fat;
	//	Konstruktor
	DirEntryCache();

	//	Destruktor
	~DirEntryCache();

private:

protected:

};

#endif
